<!-- <div class="content-spinner" *ngIf="isLoading">
  <mat-spinner></mat-spinner>
</div> -->

<div class="dashboard-content" fxLayout="column" fxLayoutGap="10px">
  <app-content-banner isDashboard="true" [isTutorialRequired]="true" [TutorialPageName]="'dashboard'">
  </app-content-banner>
  <!-- dynamic dashboard items -->
  <section *ngIf="capsAndApplicationItems.length > 0" class="section" fxLayout="column" fxLayoutGap="10px">
    <mat-card class="main-card-full mat-elevation-z4" fxLayout="column" fxLayoutGap="10px">
      <mat-card-header class="dbl-height-header mat-elevation-z2">
        <mat-card-title>Survey / Application</mat-card-title>
        <!-- <div fxLayout="column" fxLayoutAlign="center" style="line-height: 25px; font-size: .8em;margin-left: auto; padding-right: 30px;">
          <app-tutorial pageName="dashboard"></app-tutorial>
        </div> -->
      </mat-card-header>
      <mat-card-content fxLayout="column" fxLayoutAlign="center" fxLayoutGap="5px">
        <div class="dynamic-dashboard-items">
          <div class="item" *ngFor="let item of capsAndApplicationItems" (click)="onNavigationItemClick(item)">
            <button mat-icon-button color="primary">
              <mat-icon>{{item.iconName}}</mat-icon><span class="btn-text">{{item.navigationItemName}}</span>
            </button>
          </div>
        </div>
      </mat-card-content>
    </mat-card>
  </section>

  <section *ngIf="detItems.length > 0" class="section" fxLayout="column" fxLayoutGap="10px">
    <mat-card class="main-card-full mat-elevation-z4" fxLayout="column" fxLayoutGap="10px">
      <mat-card-header class="dbl-height-header mat-elevation-z2">
        <mat-card-title>Determination</mat-card-title>
      </mat-card-header>
      <mat-card-content fxLayout="column" fxLayoutAlign="center" fxLayoutGap="5px">
        <div class="dynamic-dashboard-items">
          <div class="item" *ngFor="let item of detItems" (click)="onNavigationItemClick(item)">
            <button mat-icon-button color="primary">
              <mat-icon>{{item.iconName}}</mat-icon><span class="btn-text">{{item.navigationItemName}}</span>
            </button>
          </div>
        </div>
      </mat-card-content>
    </mat-card>
  </section>

  <section *ngIf="vcsItems.length > 0" class="section" fxLayout="column" fxLayoutGap="10px">
    <mat-card class="main-card-full mat-elevation-z4" fxLayout="column" fxLayoutGap="10px">
      <mat-card-header class="dbl-height-header mat-elevation-z2">
        <mat-card-title>Vacancy Control System</mat-card-title>
      </mat-card-header>
      <mat-card-content fxLayout="column" fxLayoutAlign="center" fxLayoutGap="5px">
        <div class="dynamic-dashboard-items">
          <div class="item" *ngFor="let item of vcsItems" (click)="onNavigationItemClick(item)">
            <button mat-icon-button color="primary">
              <mat-icon>{{item.iconName}}</mat-icon><span class="btn-text">{{item.navigationItemName}}</span>
            </button>
          </div>
        </div>
      </mat-card-content>
    </mat-card>
  </section>


  <!-- Stats and Announcements -->
  <section class="section" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px" fxLayoutAlign="center">
    <mat-card class="main-card mat-elevation-z4" fxLayout="column">
      <mat-card-header class="mat-elevation-z2">
        <mat-card-title>Stats</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <ngx-hm-carousel [(ngModel)]="index1" [autoplay-speed]="speed1" [autoplay]="autoplay1"
          [autoplay-direction]="direction1" [infinite]="infinite1" [between-delay]="2000" [data]="statSources"
          [aniTime]="200" [mourse-enable]="mouseEnable" class="carousel text-accent">

          <section ngx-hm-carousel-container class="content">
            <article class="item cursor-pointer fade_animation" ngx-hm-carousel-item
              *ngFor="let item of statSources; let i = index" [ngClass]="{'visible': index1===i}">
              <div class="stat-img">
                <div class="stat-table">
                  <table cellspacing="0" cellpadding="0">
                    <tr>
                      <th style="width: 75%;">{{item.header}}</th>
                      <th style="width: 25%" *ngIf="(is_SH_PE || this.is_CAS) && item.header != 'Housing Eligibility'">
                        Count</th>
                      <th style="width: 25%" *ngIf="item.header == 'Housing Eligibility'">Clients Awaiting Placement
                      </th>
                      <th style="width: 25%" *ngIf="is_SH_RA || this.is_SH_HP">Select One of the Site:
                        <mat-form-field appearance="outline">
                          <mat-select [(ngModel)]="selectedSiteID" (selectionChange)="onSiteSelected($event)"
                            (blur)="onSiteBlur()" (click)="onClick($event)">
                            <mat-option *ngFor="let site of siteList" [value]="site.siteID">
                              {{site.siteNo + ' - ' + site.siteName}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </th>
                    </tr>
                    <tr *ngFor="let stat of item.stats">
                      <td>{{stat.statTitle}}</td>
                      <td>{{stat.statValue}}</td>
                    </tr>
                  </table>
                </div>
              </div>
            </article>
            <ng-template #infiniteContainer></ng-template>
          </section>

          <ng-template #carouselContent let-item let-i="index">
            <article class="item cursor-pointer fade_animation" [ngClass]="{'visible': index1===i}">
              <div class="stat-img">
              </div>
            </article>
          </ng-template>

          <ng-template #carouselPrev>
            <div class="click-area">
              <i class="material-icons">keyboard_arrow_left</i>
            </div>
          </ng-template>
          <ng-template #carouselNext>
            <div class="click-area">
              <i class="material-icons">keyboard_arrow_right</i>
            </div>
          </ng-template>

          <ng-template #carouselDot let-model1>
            <div class="ball bg-accent" [class.visible]="model1.index === model1.currentIndex"></div>
          </ng-template>

        </ngx-hm-carousel>
      </mat-card-content>
    </mat-card>
    <mat-card class="main-card mat-elevation-z4" fxLayout="column">
      <mat-card-header class="mat-elevation-z2">
        <mat-card-title>Announcements</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <ngx-hm-carousel [(ngModel)]="index2" [autoplay-speed]="speed2" [autoplay]="autoplay2"
          [autoplay-direction]="direction2" [infinite]="infinite2" [between-delay]="2000" [data]="anouncementList"
          [aniTime]="200" class="carousel text-accent">

          <section ngx-hm-carousel-container class="content">
            <article class="item cursor-pointer fade_animation" ngx-hm-carousel-item
              *ngFor="let announ of anouncementList; let i = index" [ngClass]="{'visible': index2===i}">
              <div class="ann-img">
                <div class="anntable">
                  <table>
                    <tr>
                      <td class="announcementImg" color="primary">
                        <div class="date">
                          <span class="day">{{announ.startDate | date:'d' }}</span>
                          <span class="month">{{announ.startDate | date:'MMM' }}</span>
                          <span class="year">{{announ.startDate | date:'yyyy' }}</span>
                        </div>
                      </td>
                      <td class="announcementContent">
                        <p
                          [innerHTML]="announ.notificationLongMessage ? (announ.notificationLongMessage | noSanitize) : ''">
                        </p>
                      </td>
                    </tr>
                  </table>
                </div>
              </div>
            </article>
            <ng-template #infiniteContainer></ng-template>
          </section>

          <ng-template #carouselContent let-item let-i="index">
            <article class="item cursor-pointer fade_animation" [ngClass]="{'visible': index2===i}">
              <div class="ann-img">
              </div>
            </article>
          </ng-template>

          <ng-template #carouselPrev>
            <div class="click-area">
              <i class="material-icons">keyboard_arrow_left</i>
            </div>
          </ng-template>
          <ng-template #carouselNext>
            <div class="click-area">
              <i class="material-icons">keyboard_arrow_right</i>
            </div>
          </ng-template>

          <ng-template #carouselDot let-model2>
            <div class="ball bg-accent" [class.visible]="model2.index === model2.currentIndex"></div>
          </ng-template>

        </ngx-hm-carousel>
      </mat-card-content>
    </mat-card>
  </section>
</div>